pcntl_sigprocmask
pcntl_sigwaitinfo
PCNTL Functions
PHP Manual

# pcntl_sigtimedwait

(PHP 5 >= 5.3.0)

pcntl_sigtimedwait — Waits for signals, with a timeout

### Description

int pcntl_sigtimedwait ( array `$set` [, array `&$siginfo` [, int `$seconds` = 0 [, int `$nanoseconds` = 0 ]]] )

The pcntl_sigtimedwait() function operates in exactly the same way as pcntl_sigwaitinfo() except that it takes two additional parameters, `seconds` and `nanoseconds` , which enable an upper bound to be placed on the time for which the script is suspended.

### Parameters

`set`

  Array of signals to wait for.

`siginfo`

  The `siginfo` is set to an array containing informations about the signal. See pcntl_sigwaitinfo().

`seconds`

  Timeout in seconds.

`nanoseconds`

  Timeout in nanoseconds.

### Return Values

On success, pcntl_sigtimedwait() returns a signal number.

### See Also

- pcntl_sigprocmask() - Sets and retrieves blocked signals
- pcntl_sigwaitinfo() - Waits for signals

pcntl_sigprocmask
pcntl_sigwaitinfo
PCNTL Functions
PHP Manual